/*
 * threadCalls.c
 * Support for threaded ops which may block (read, write, connect, etc.).
 *
 * Copyright (c) 1996 T. J. Wilkinson & Associates, London, UK.
 *
 * See the file "license.terms" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * Written by Tim Wilkinson <tim@tjwassoc.demon.co.uk>, 1996.
 */

#ifndef __threadCalls_h
#define __threadCalls_h

struct sockaddr;

extern int threadedFileDescriptor(int fd);
extern int threadedSocket(int af, int type, int proto);
extern int threadedOpen(char* path, int flags, int mode);
extern int threadedConnect(int fd, struct sockaddr* addr, int len);
extern int threadedAccept(int fd, struct sockaddr* addr, int* len);
extern int threadedRead(int fd, char* buf, int len);
extern int threadedWrite(int fd, char* buf, int len);

#endif
